Bug 1461081 - Deploy ovirt-host package only instead of single packages
Deploy ovirt-host package only instead of single packages
Status: POST
Product: ovirt-host-deploy
Classification: oVirt
Component: General (Show other bugs)
master
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Yedidyah Bar David
Pavol Brilla
: FutureFeature
Depends On: 1460609
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 09:20 EDT by Sandro Bonazzola
Modified: 2017-08-01 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
ylavi: planning_ack+
sbonazzo: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78306 master POST packaging: consume ovirt-host package 2017-08-11 08:45 EDT

  None (edit)
Description Sandro Bonazzola 2017-06-13 09:20:27 EDT
A new package ovirt-host has been introduced in 4.2 consolidating all the requirements for running an host.
Remove all package installation / upgrades and just install / update this new package for pulling in required packages.
Comment 1 Sandro Bonazzola 2017-06-19 10:45:11 EDT
Yaniv, Martin, is it desired to have all packages currently optional already installed as dependency of ovirt-host like on oVirt Node? Or are we talking only about the absolutely required ones?
Comment 2 Martin Perina 2017-06-19 10:57:53 EDT
(In reply to Sandro Bonazzola from comment #1)
> Yaniv, Martin, is it desired to have all packages currently optional already
> installed as dependency of ovirt-host like on oVirt Node? Or are we talking
> only about the absolutely required ones?

I'm not sure I understand the question. ovirt-host should depend on all packages which we have in ovirt-host-deploy and/or host-upgrade-manager packages list, so just installing/upgrading ovirt-host will install all required dependencies. Or do we have some other dependencies not included in those list?
Comment 3 Sandro Bonazzola 2017-06-19 11:02:15 EDT
example: vdsm-gluster is an optional package which is installed only if explicitly requested by the engine during the deployment.
Same for openstack-neutron, kdump, kernel-rt, tuned, ovirt-hosted-engine-setup, and so on.

Should all these optional package move to ovirt-host as mandatory dependency or be kept in ovirt-host-deploy as optional dependency?

As a side note to myself, in order to not introduce regressions, we'll need to backport ovirt-host package down to 3.6 in order to allow to replace existing hosts in supported clusters levels.
Comment 4 Martin Perina 2017-06-19 11:16:01 EDT
(In reply to Sandro Bonazzola from comment #3)
> example: vdsm-gluster is an optional package which is installed only if
> explicitly requested by the engine during the deployment.
> Same for openstack-neutron, kdump, kernel-rt, tuned,
> ovirt-hosted-engine-setup, and so on.

Well, kdump is installed/enabled by default on EL7, but other mentioned packages are most probably not mandatory. So I'd probably not add them to ovirt-host now (but if needed/decided we can add them later). Do you agree?

> 
> Should all these optional package move to ovirt-host as mandatory dependency
> or be kept in ovirt-host-deploy as optional dependency?
> 
> As a side note to myself, in order to not introduce regressions, we'll need
> to backport ovirt-host package down to 3.6 in order to allow to replace
> existing hosts in supported clusters levels.

+1 on that, it will make 3.6 hosts handling in 4.2 a lot easier on the host upgrade manager side and it's also required to fix BZ1460954 nicely
Comment 5 Sandro Bonazzola 2017-06-19 11:24:10 EDT
(In reply to Martin Perina from comment #4)

> Well, kdump is installed/enabled by default on EL7, but other mentioned
> packages are most probably not mandatory. So I'd probably not add them to
> ovirt-host now (but if needed/decided we can add them later). Do you agree?

Ok, let's start with the mandatory ones and do the others case by case.
Comment 6 Yaniv Lavi (Dary) 2017-06-21 04:51:39 EDT
(In reply to Sandro Bonazzola from comment #5)
> (In reply to Martin Perina from comment #4)
> 
> > Well, kdump is installed/enabled by default on EL7, but other mentioned
> > packages are most probably not mandatory. So I'd probably not add them to
> > ovirt-host now (but if needed/decided we can add them later). Do you agree?
> 
> Ok, let's start with the mandatory ones and do the others case by case.

I don't agree here. I would want the node package set and the RHEL package set to be the same. If the size of the node is not an issue, it will really not be an issue for a el7 host.
Comment 7 Martin Perina 2017-06-21 05:12:30 EDT
(In reply to Yaniv Lavi from comment #6)
> (In reply to Sandro Bonazzola from comment #5)
> > (In reply to Martin Perina from comment #4)
> > 
> > > Well, kdump is installed/enabled by default on EL7, but other mentioned
> > > packages are most probably not mandatory. So I'd probably not add them to
> > > ovirt-host now (but if needed/decided we can add them later). Do you agree?
> > 
> > Ok, let's start with the mandatory ones and do the others case by case.
> 
> I don't agree here. I would want the node package set and the RHEL package
> set to be the same. If the size of the node is not an issue, it will really
> not be an issue for a el7 host.

That's difference between Node and RHEL philosophy, on node you have everything installed and only configure when needed, on RHEL you have minimum installed and when needed install and configure it.

If installation of those additional dependencies doesn't have any other implications, we can add them to ovirt-host, but that's a much bigger change in host installation behaviour than just add mandatory deps to ovirt-host. So I'd probably check each optional dependency one-by-one before switching it to mandatory ...
Comment 8 Sandro Bonazzola 2017-06-21 07:03:58 EDT
Also note that this means we need at least another meta package for including ovirt-hosted-engine-setup. Otherwise we'll have a circular dependency:
ovirt-host -> ovirt-hosted-engine-setup -> ovirt-host.

Something like ovirt-host -> ovirt-hosted-engine-setup -> ovirt-host-core

Or reverting the changes done for bug #1461083 and have ovirt-host -> ovirt-hosted-engine-setup -> whatever is needed not requiring ovirt-host.
Comment 9 Yaniv Lavi (Dary) 2017-06-21 09:51:51 EDT
(In reply to Sandro Bonazzola from comment #8)
> Also note that this means we need at least another meta package for
> including ovirt-hosted-engine-setup. Otherwise we'll have a circular
> dependency:
> ovirt-host -> ovirt-hosted-engine-setup -> ovirt-host.
> 
> Something like ovirt-host -> ovirt-hosted-engine-setup -> ovirt-host-core
> 
> Or reverting the changes done for bug #1461083 and have ovirt-host ->
> ovirt-hosted-engine-setup -> whatever is needed not requiring ovirt-host.

Not sure why this would happen. Fix the deps to only require this once.

Note You need to log in before you can comment on or make changes to this bug.